IP::Country::Medium(3)

NAME
IP::Country::Medium - cached lookup of country codes by IP address and domain name

SYNOPSIS
  use IP::Country::Medium;

DESCRIPTION
See documentation for IP::Country. In addition, IP::Country::Medium objects have a cache() method, which controls whether hostname->cc lookups are cached (on by default).

$ic->cache(BOOLEAN)
    By default, the module caches results of country-code lookups. This feature can be switched off by setting cache to a false value (zero, empty string or undef), and can be switched on again by setting cache to a true value (anything which isn't false).

      $ic->cache(0); # clears and disables cache
      $ic->cache(1); # enables the cache

    The cache is formed at the class level, so any change in caching in one object will affect all objectcs of this class. Turning off the cache also clears the cache.